bring in squid 2.6, this disables winbind as it is no longer part of squid... epoll...
authorTim Yardley <lst@openwrt.org>
Sun, 8 Apr 2007 17:03:20 +0000 (17:03 +0000)
committerTim Yardley <lst@openwrt.org>
Sun, 8 Apr 2007 17:03:20 +0000 (17:03 +0000)
SVN-Revision: 6895

net/squid/Makefile
net/squid/patches/001-cross_compile.patch
net/squid/patches/003-configure.patch [new file with mode: 0644]
net/squid/patches/004-include-autoconf.patch [new file with mode: 0644]
net/squid/patches/005-lib-makefile.patch [new file with mode: 0644]

index d2a8247..4473b1b 100644 (file)
@@ -9,12 +9,12 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=squid
-PKG_VERSION:=2.5.STABLE14
+PKG_VERSION:=2.6.STABLE12
 PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.bz2
-PKG_SOURCE_URL:=http://www.squid-cache.org/Versions/v2/2.5/
-PKG_MD5SUM:=f413e0b887a5f9b2a75350243ed5564c
+PKG_SOURCE_URL:=http://www.squid-cache.org/Versions/v2/2.6/
+PKG_MD5SUM:=a830ccc95cb39cdfa5e5b773add0bb0d
 PKG_CAT:=bzcat
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
@@ -69,12 +69,6 @@ define Package/squid-mod-basic-auth-smb
   TITLE:=Samba basic authentication helper
 endef
 
-define Package/squid-mod-basic-auth-winbind
-  $(call Package/squid/Default)
-  DEPENDS:=squid
-  TITLE:=Winbind basic authentication helper
-endef
-
 define Package/squid-mod-digest-auth-password
   $(call Package/squid/Default)
   DEPENDS:=squid
@@ -93,12 +87,6 @@ define Package/squid-mod-external-acl-unix-group
   TITLE:=Unix group external ACL helper
 endef
 
-define Package/squid-mod-external-acl-winbind-group
-  $(call Package/squid/Default)
-  DEPENDS:=squid
-  TITLE:=Winbind group external ACL helper
-endef
-
 define Package/squid-mod-ntlm-auth-fakeauth
   $(call Package/squid/Default)
   DEPENDS:=squid
@@ -111,12 +99,6 @@ define Package/squid-mod-ntlm-auth-smb-auth
   TITLE:=Samba NTLM authentication helper
 endef
 
-define Package/squid-mod-ntlm-auth-winbind-auth
-  $(call Package/squid/Default)
-  DEPENDS:=squid
-  TITLE:=Winbind NTLM authentication helper
-endef
-
 define Build/Configure
        $(call Build/Configure/Default, \
                --datadir=/usr/share/squid \
@@ -144,14 +126,16 @@ define Build/Configure
                --enable-useragent-log \
                --with-openssl=$(STAGING_DIR)/usr \
                --enable-auth="basic digest ntlm" \
-               --enable-basic-auth-helpers="getpwnam NCSA SMB winbind" \
-               --enable-ntlm-auth-helpers="fakeauth SMB winbind" \
+               --enable-basic-auth-helpers="getpwnam NCSA SMB" \
+               --enable-ntlm-auth-helpers="fakeauth SMB" \
                --enable-digest-auth-helpers="password" \
-               --enable-external-acl-helpers="ip_user unix_group winbind_group" \
+               --enable-external-acl-helpers="ip_user unix_group" \
+               --enable-epoll \
+               --with-maxfd=4096 \
        )
 endef
        
-define Build/Compile   
+define Build/Compile
        # pass INCLUDES to compile host sources against our OpenSSL, not the host one
        $(MAKE) -C $(PKG_BUILD_DIR)/lib \
                INCLUDES="-I$(STAGING_DIR)/usr/include -I$(STAGING_DIR)/include" \
@@ -170,7 +154,7 @@ define BuildPlugin
   $$(eval $$(call BuildPackage,$(1)))
 endef
 
-define Package/squid/install   
+define Package/squid/install
        $(INSTALL_DIR) $(1)/etc/squid
        $(CP) $(PKG_INSTALL_DIR)/etc/squid/mime.conf $(1)/etc/squid/
        $(CP) $(PKG_INSTALL_DIR)/etc/squid/squid.conf $(1)/etc/squid/
@@ -192,11 +176,8 @@ $(eval $(call BuildPackage,squid-mod-cachemgr))
 $(eval $(call BuildPlugin,squid-mod-basic-auth-getpwnam,getpwname_auth))
 $(eval $(call BuildPlugin,squid-mod-basic-auth-ncsa,ncsa_auth))
 $(eval $(call BuildPlugin,squid-mod-basic-auth-smb,smb_auth))
-$(eval $(call BuildPlugin,squid-mod-basic-auth-winbind,wb_auth))
 $(eval $(call BuildPlugin,squid-mod-digest-auth-password,digest_pw_auth))
 $(eval $(call BuildPlugin,squid-mod-external-acl-ip-user,ip_user_check))
 $(eval $(call BuildPlugin,squid-mod-external-acl-unix-group,squid_unix_group))
-$(eval $(call BuildPlugin,squid-mod-external-acl-winbind-group,wb_group))
 $(eval $(call BuildPlugin,squid-mod-ntlm-auth-fakeauth,fakeauth_auth))
 $(eval $(call BuildPlugin,squid-mod-ntlm-auth-smb-auth,ntlm_auth))
-$(eval $(call BuildPlugin,squid-mod-ntlm-auth-winbind-auth,wb_ntlmauth))
index fd8f9b0..fb09b36 100644 (file)
@@ -1,215 +1,3 @@
-diff -urN squid-2.5.STABLE13/configure squid-2.5.STABLE13.new/configure
---- squid-2.5.STABLE13/configure       2006-03-12 12:29:22.000000000 +0100
-+++ squid-2.5.STABLE13.new/configure   2006-04-15 10:30:10.000000000 +0200
-@@ -2441,10 +2441,6 @@
-   if test -z "$SSLLIB"; then
-     SSLLIB="-lcrypto" # for MD5 routines
-   fi
--  if $PKGCONFIG --exists openssl; then
--    SSLLIB="`$PKGCONFIG --libs openssl`"
--    SSLFLAGS="`$PKGCONFIG --cflags openssl`"
--  fi
-   CPPFLAGS="${SSLFLAGS} $CPPFLAGS"
- fi
-diff -urN squid-2.5.STABLE13/include/autoconf.h.in squid-2.5.STABLE13.new/include/autoconf.h.in
---- squid-2.5.STABLE13/include/autoconf.h.in   2005-09-13 02:12:34.000000000 +0200
-+++ squid-2.5.STABLE13.new/include/autoconf.h.in       2006-04-15 10:29:39.000000000 +0200
-@@ -729,10 +729,10 @@
- #undef HAVE_OPENSSL_ERR_H
- /* Define if you have the <openssl/md5.h> header file.  */
--#undef HAVE_OPENSSL_MD5_H
-+#define HAVE_OPENSSL_MD5_H 1
- /* Define if you have the <openssl/ssl.h> header file.  */
--#undef HAVE_OPENSSL_SSL_H
-+#define HAVE_OPENSSL_SSL_H 1
- /* Define if you have the <poll.h> header file.  */
- #undef HAVE_POLL_H
-diff -urN squid-2.5.STABLE13/lib/Makefile.in squid-2.5.STABLE13.new/lib/Makefile.in
---- squid-2.5.STABLE13/lib/Makefile.in 2005-09-28 22:57:20.000000000 +0200
-+++ squid-2.5.STABLE13.new/lib/Makefile.in     2006-04-15 10:29:39.000000000 +0200
-@@ -63,6 +63,7 @@
- host_triplet = @host@
- AMTAR = @AMTAR@
- AR = @AR@
-+HOST_AR = ar
- AR_R = @AR_R@
- AUTH_LIBS = @AUTH_LIBS@
- AUTH_MODULES = @AUTH_MODULES@
-@@ -72,6 +73,7 @@
- CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
- CACHE_ICP_PORT = @CACHE_ICP_PORT@
- CC = @CC@
-+HOST_CC = gcc
- CGIEXT = @CGIEXT@
- CPP = @CPP@
- CRYPTLIB = @CRYPTLIB@
-@@ -95,6 +97,8 @@
- MV = @MV@
- NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
- OBJEXT = @OBJEXT@
-+HOST_OBJEXT = @OBJEXT@.$(shell uname -m)
-+HOST_DEPEXT = .$(shell uname -m)
- PACKAGE = @PACKAGE@
- PERL = @PERL@
- PKGCONFIG = @PKGCONFIG@
-@@ -133,6 +137,7 @@
- noinst_LIBRARIES = \
-       @LIBDLMALLOC@ \
-       libmiscutil.a \
-+      libmiscutil$(shell uname -m).a \
-       libntlmauth.a \
-       @LIBREGEX@
-@@ -162,9 +167,34 @@
-       util.c \
-       uudecode.c
-+libmiscutil_a_HOST_SOURCES = \
-+        Array.c \
-+        base64.c \
-+        getfullhostname.c \
-+        hash.c \
-+        heap.c \
-+        html_quote.c \
-+        iso3307.c \
-+        $(MD5SOURCE) \
-+        radix.c \
-+        rfc1035.c \
-+        rfc1123.c \
-+        rfc1738.c \
-+        rfc2617.c \
-+        safe_inet_addr.c \
-+        $(SNPRINTFSOURCE) \
-+        splay.c \
-+        Stack.c \
-+        stub_memaccount.c \
-+        util.c \
-+        uudecode.c
-+
- libmiscutil_a_LIBADD = \
-       @LIBOBJS@
-+libmiscutil_a_HOST_LIBADD = \
-+      @LIBOBJS@
-+
- # $(top_srcdir)/include/version.h should be a dependency
- libregex_a_SOURCES = \
-       GNUregex.c
-@@ -193,9 +223,11 @@
- libmiscutil_a_AR = $(AR) cru
- libmiscutil_a_DEPENDENCIES = @LIBOBJS@
- @NEED_OWN_MD5_TRUE@am__objects_1 = md5.$(OBJEXT)
-+@NEED_OWN_MD5_TRUE@am__host_objects_1 = md5.$(HOST_OBJEXT)
- @NEED_OWN_MD5_FALSE@am__objects_1 =
- @NEED_OWN_SNPRINTF_FALSE@am__objects_2 =
- @NEED_OWN_SNPRINTF_TRUE@am__objects_2 = snprintf.$(OBJEXT)
-+@NEED_OWN_SNPRINTF_TRUE@am__host_objects_2 = snprintf.$(HOST_OBJEXT)
- am_libmiscutil_a_OBJECTS = Array.$(OBJEXT) base64.$(OBJEXT) \
-       getfullhostname.$(OBJEXT) hash.$(OBJEXT) heap.$(OBJEXT) \
-       html_quote.$(OBJEXT) iso3307.$(OBJEXT) $(am__objects_1) \
-@@ -203,7 +235,19 @@
-       rfc1738.$(OBJEXT) rfc2617.$(OBJEXT) safe_inet_addr.$(OBJEXT) \
-       $(am__objects_2) splay.$(OBJEXT) Stack.$(OBJEXT) \
-       stub_memaccount.$(OBJEXT) util.$(OBJEXT) uudecode.$(OBJEXT)
-+am_libmiscutil_a_HOST_OBJECTS = Array.$(HOST_OBJEXT) \
-+                      base64.$(HOST_OBJEXT) getfullhostname.$(HOST_OBJEXT) \
-+                      hash.$(HOST_OBJEXT) heap.$(HOST_OBJEXT) \
-+                      html_quote.$(HOST_OBJEXT) iso3307.$(HOST_OBJEXT) \
-+                      $(am__host_objects_1) radix.$(HOST_OBJEXT) \
-+                      rfc1035.$(HOST_OBJEXT) rfc1123.$(HOST_OBJEXT) \
-+                      rfc1738.$(HOST_OBJEXT) rfc2617.$(HOST_OBJEXT) \
-+                      safe_inet_addr.$(HOST_OBJEXT) $(am__host_objects_2) \
-+                      splay.$(HOST_OBJEXT) Stack.$(HOST_OBJEXT) \
-+                      stub_memaccount.$(HOST_OBJEXT) util.$(HOST_OBJEXT) \
-+                      uudecode.$(HOST_OBJEXT)
- libmiscutil_a_OBJECTS = $(am_libmiscutil_a_OBJECTS)
-+libmiscutil_a_HOST_OBJECTS = $(am_libmiscutil_a_HOST_OBJECTS)
- libntlmauth_a_AR = $(AR) cru
- libntlmauth_a_DEPENDENCIES = @LIBOBJS@
- am_libntlmauth_a_OBJECTS = ntlmauth.$(OBJEXT)
-@@ -233,22 +277,42 @@
- @AMDEP_TRUE@  $(DEPDIR)/splay.Po $(DEPDIR)/strerror.Po \
- @AMDEP_TRUE@  $(DEPDIR)/stub_memaccount.Po $(DEPDIR)/tempnam.Po \
- @AMDEP_TRUE@  $(DEPDIR)/util.Po $(DEPDIR)/uudecode.Po
-+@AMDEP_TRUE@DEP_HOST_FILES = $(DEPDIR)/Array.Po.$(HOST_DEPEXT) $(DEPDIR)/GNUregex.Po.$(HOST_DEPEXT) \
-+@AMDEP_TRUE@    $(DEPDIR)/Stack.Po.$(HOST_DEPEXT) $(DEPDIR)/base64.Po.$(HOST_DEPEXT) \
-+@AMDEP_TRUE@    $(DEPDIR)/dlmalloc.Po.$(HOST_DEPEXT) $(DEPDIR)/drand48.Po.$(HOST_DEPEXT) \
-+@AMDEP_TRUE@    $(DEPDIR)/getfullhostname.Po.$(HOST_DEPEXT) $(DEPDIR)/hash.Po.$(HOST_DEPEXT) \
-+@AMDEP_TRUE@    $(DEPDIR)/heap.Po.$(HOST_DEPEXT) $(DEPDIR)/html_quote.Po.$(HOST_DEPEXT) \
-+@AMDEP_TRUE@    $(DEPDIR)/inet_ntoa.Po.$(HOST_DEPEXT) $(DEPDIR)/initgroups.Po.$(HOST_DEPEXT) \
-+@AMDEP_TRUE@    $(DEPDIR)/iso3307.Po.$(HOST_DEPEXT) $(DEPDIR)/md5.Po.$(HOST_DEPEXT) \
-+@AMDEP_TRUE@    $(DEPDIR)/ntlmauth.Po.$(HOST_DEPEXT) $(DEPDIR)/radix.Po.$(HOST_DEPEXT) \
-+@AMDEP_TRUE@    $(DEPDIR)/rfc1035.Po.$(HOST_DEPEXT) $(DEPDIR)/rfc1123.Po.$(HOST_DEPEXT) \
-+@AMDEP_TRUE@    $(DEPDIR)/rfc1738.Po.$(HOST_DEPEXT) $(DEPDIR)/rfc2617.Po.$(HOST_DEPEXT) \
-+@AMDEP_TRUE@    $(DEPDIR)/safe_inet_addr.Po.$(HOST_DEPEXT) $(DEPDIR)/snprintf.Po.$(HOST_DEPEXT) \
-+@AMDEP_TRUE@    $(DEPDIR)/splay.Po.$(HOST_DEPEXT) $(DEPDIR)/strerror.Po.$(HOST_DEPEXT) \
-+@AMDEP_TRUE@    $(DEPDIR)/stub_memaccount.Po.$(HOST_DEPEXT) $(DEPDIR)/tempnam.Po.$(HOST_DEPEXT) \
-+@AMDEP_TRUE@    $(DEPDIR)/util.Po.$(HOST_DEPEXT) $(DEPDIR)/uudecode.Po.$(HOST_DEPEXT)
-+
-+
- COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-       $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-+HOST_COMPILE = $(HOST_CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-+        $(AM_CFLAGS)
- CCLD = $(CC)
-+HOST_CCLD = ld
- LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
-+HOST_LINK = $(HOST_CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
- CFLAGS = @CFLAGS@
- DIST_SOURCES = $(libdlmalloc_a_SOURCES) $(libmiscutil_a_SOURCES) \
-       $(EXTRA_libmiscutil_a_SOURCES) $(libntlmauth_a_SOURCES) \
--      $(libregex_a_SOURCES)
-+      $(libregex_a_SOURCES) $(libmiscutil_a_HOST_SOURCES)
- DIST_COMMON = Makefile.am Makefile.in drand48.c inet_ntoa.c \
-       initgroups.c strerror.c tempnam.c
--SOURCES = $(libdlmalloc_a_SOURCES) $(libmiscutil_a_SOURCES) $(EXTRA_libmiscutil_a_SOURCES) $(libntlmauth_a_SOURCES) $(libregex_a_SOURCES)
-+SOURCES = $(libdlmalloc_a_SOURCES) $(libmiscutil_a_SOURCES) $(libmiscutil_a_HOST_SOURCES) $(EXTRA_libmiscutil_a_SOURCES) $(libntlmauth_a_SOURCES) $(libregex_a_SOURCES)
- all: all-am
- .SUFFIXES:
--.SUFFIXES: .c .o .obj
-+.SUFFIXES: .c .o .obj .o.$(shell uname -m)
- $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
-       cd $(top_srcdir) && \
-         $(AUTOMAKE) --foreign  lib/Makefile
-@@ -265,10 +329,13 @@
-       -rm -f libdlmalloc.a
-       $(libdlmalloc_a_AR) libdlmalloc.a $(libdlmalloc_a_OBJECTS) $(libdlmalloc_a_LIBADD)
-       $(RANLIB) libdlmalloc.a
--libmiscutil.a: $(libmiscutil_a_OBJECTS) $(libmiscutil_a_DEPENDENCIES) 
-+libmiscutil.a: $(libmiscutil_a_OBJECTS) $(libmiscutil_a_HOST_OBJECTS) $(libmiscutil_a_DEPENDENCIES) 
-       -rm -f libmiscutil.a
-+      -rm -f libmiscutil$(shell uname -m).a
-       $(libmiscutil_a_AR) libmiscutil.a $(libmiscutil_a_OBJECTS) $(libmiscutil_a_LIBADD)
-+      ar rcu libmiscutil$(shell uname -m).a $(libmiscutil_a_HOST_OBJECTS) $(libmiscutil_a_HOST_LIBADD)
-       $(RANLIB) libmiscutil.a
-+      ranlib libmiscutil$(shell uname -m).a
- libntlmauth.a: $(libntlmauth_a_OBJECTS) $(libntlmauth_a_DEPENDENCIES) 
-       -rm -f libntlmauth.a
-       $(libntlmauth_a_AR) libntlmauth.a $(libntlmauth_a_OBJECTS) $(libntlmauth_a_LIBADD)
-@@ -313,6 +380,7 @@
- @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/util.Po@am__quote@
- @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/uudecode.Po@am__quote@
-+
- distclean-depend:
-       -rm -rf $(DEPDIR)
-@@ -321,7 +389,8 @@
- @AMDEP_TRUE@  depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
- @AMDEP_TRUE@  $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-       $(COMPILE) -c `test -f $< || echo '$(srcdir)/'`$<
--
-+.c.o.$(shell uname -m):
-+      $(HOST_COMPILE) -o $(shell basename $< .c).o.$(shell uname -m) -c $<
- .c.obj:
- @AMDEP_TRUE@  source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
- @AMDEP_TRUE@  depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
 diff -urN squid-2.5.STABLE13/src/ctype.c squid-2.5.STABLE13.new/src/ctype.c
 --- squid-2.5.STABLE13/src/ctype.c     1970-01-01 01:00:00.000000000 +0100
 +++ squid-2.5.STABLE13.new/src/ctype.c 2006-04-15 10:29:39.000000000 +0200
@@ -769,7 +557,7 @@ diff -urN squid-2.5.STABLE13/src/Makefile.in squid-2.5.STABLE13.new/src/Makefile
  cf_parser.h: cf.data cf_gen$(EXEEXT)
 +      rm -f cf_gen
 +      gcc -c ctype.c
-+      gcc -o cf_gen cf_gen.c -I./ -I../ -I../include/ -L../lib -lmiscutil$(shell uname -m) -lm -lnsl -Wl,ctype.o
++      gcc -o cf_gen cf_gen.c -DNODEBUG=1 -I./ -I../ -I../include/ -L../lib -lmiscutil$(shell uname -m) -lm -lnsl -Wl,ctype.o
        ./cf_gen cf.data 
  
  cf_gen_defines.h: $(srcdir)/cf_gen_defines $(srcdir)/cf.data.pre
diff --git a/net/squid/patches/003-configure.patch b/net/squid/patches/003-configure.patch
new file mode 100644 (file)
index 0000000..9901bcc
--- /dev/null
@@ -0,0 +1,229 @@
+--- squid-2.6.STABLE12/configure       2007-03-20 16:35:44.000000000 -0500
++++ squid-2.6.STABLE12.NEW/configure   2007-04-08 11:49:42.000000000 -0500
+@@ -4297,10 +4297,6 @@
+   if test -z "$SSLLIB"; then
+     SSLLIB="-lcrypto" # for MD5 routines
+   fi
+-  if $PKGCONFIG --exists openssl; then
+-    SSLLIB="`$PKGCONFIG --libs openssl`"
+-    SSLFLAGS="`$PKGCONFIG --cflags openssl`"
+-  fi
+   CPPFLAGS="${SSLFLAGS} $CPPFLAGS"
+ fi
+@@ -8760,7 +8756,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -9174,7 +9170,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -9588,7 +9584,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -10002,7 +9998,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -10416,7 +10412,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -10830,7 +10826,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -10919,7 +10915,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -10992,7 +10988,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -11065,7 +11061,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -11138,7 +11134,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -11211,7 +11207,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -11284,7 +11280,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -11357,7 +11353,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -11430,7 +11426,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -11503,7 +11499,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -11576,7 +11572,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -11649,7 +11645,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -11722,7 +11718,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -11795,7 +11791,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -16302,7 +16298,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -16455,7 +16451,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -16577,7 +16573,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -16686,7 +16682,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+@@ -16754,7 +16750,7 @@
+ See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run test program while cross compiling
+ See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
++   { (true); true; }; }
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
diff --git a/net/squid/patches/004-include-autoconf.patch b/net/squid/patches/004-include-autoconf.patch
new file mode 100644 (file)
index 0000000..4539c28
--- /dev/null
@@ -0,0 +1,15 @@
+--- squid-2.6.STABLE12/include/autoconf.h.in.orig      2007-03-12 21:36:39.000000000 -0500
++++ squid-2.6.STABLE12/include/autoconf.h.in   2007-04-07 20:12:28.000000000 -0500
+@@ -319,10 +319,10 @@
+ #undef HAVE_OPENSSL_ERR_H
+ /* Define to 1 if you have the <openssl/md5.h> header file. */
+-#undef HAVE_OPENSSL_MD5_H
++#define HAVE_OPENSSL_MD5_H 1
+ /* Define to 1 if you have the <openssl/ssl.h> header file. */
+-#undef HAVE_OPENSSL_SSL_H
++#define HAVE_OPENSSL_SSL_H 1
+ /* Define to 1 if you have the <paths.h> header file. */
+ #undef HAVE_PATHS_H
diff --git a/net/squid/patches/005-lib-makefile.patch b/net/squid/patches/005-lib-makefile.patch
new file mode 100644 (file)
index 0000000..52cb6eb
--- /dev/null
@@ -0,0 +1,178 @@
+--- squid-2.6.STABLE12/lib/Makefile.in.orig    2006-11-04 17:20:02.000000000 -0600
++++ squid-2.6.STABLE12/lib/Makefile.in 2007-04-07 20:26:04.000000000 -0500
+@@ -65,7 +65,9 @@
+       splay.c Stack.c strsep.c stub_memaccount.c util.c uudecode.c \
+       win32lib.c
+ @NEED_OWN_MD5_TRUE@am__objects_1 = md5.$(OBJEXT)
++@NEED_OWN_MD5_TRUE@am__host_objects_1 = md5.$(HOST_OBJEXT)
+ @NEED_OWN_SNPRINTF_TRUE@am__objects_2 = snprintf.$(OBJEXT)
++@NEED_OWN_SNPRINTF_TRUE@am__host_objects_2 = snprintf.$(HOST_OBJEXT)
+ @NEED_OWN_STRSEP_TRUE@am__objects_3 = strsep.$(OBJEXT)
+ @ENABLE_MINGW32SPECIFIC_TRUE@am__objects_4 = win32lib.$(OBJEXT)
+ am_libmiscutil_a_OBJECTS = Array.$(OBJEXT) base64.$(OBJEXT) \
+@@ -76,7 +78,19 @@
+       $(am__objects_2) splay.$(OBJEXT) Stack.$(OBJEXT) \
+       $(am__objects_3) stub_memaccount.$(OBJEXT) util.$(OBJEXT) \
+       uudecode.$(OBJEXT) $(am__objects_4)
++am_libmiscutil_a_HOST_OBJECTS = Array.$(HOST_OBJEXT) \
++                      base64.$(HOST_OBJEXT) getfullhostname.$(HOST_OBJEXT) \
++                      hash.$(HOST_OBJEXT) heap.$(HOST_OBJEXT) \
++                      html_quote.$(HOST_OBJEXT) iso3307.$(HOST_OBJEXT) \
++                      $(am__host_objects_1) radix.$(HOST_OBJEXT) \
++                      rfc1035.$(HOST_OBJEXT) rfc1123.$(HOST_OBJEXT) \
++                      rfc1738.$(HOST_OBJEXT) rfc2617.$(HOST_OBJEXT) \
++                      safe_inet_addr.$(HOST_OBJEXT) $(am__host_objects_2) \
++                      splay.$(HOST_OBJEXT) Stack.$(HOST_OBJEXT) \
++                      stub_memaccount.$(HOST_OBJEXT) util.$(HOST_OBJEXT) \
++                      uudecode.$(HOST_OBJEXT)
+ libmiscutil_a_OBJECTS = $(am_libmiscutil_a_OBJECTS)
++libmiscutil_a_HOST_OBJECTS = $(am_libmiscutil_a_HOST_OBJECTS)
+ libntlmauth_a_AR = $(AR) $(ARFLAGS)
+ libntlmauth_a_DEPENDENCIES = @LIBOBJS@
+ am_libntlmauth_a_OBJECTS = ntlmauth.$(OBJEXT)
+@@ -94,15 +108,19 @@
+ am__depfiles_maybe = depfiles
+ COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
+       $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
++HOST_COMPILE = $(HOST_CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
++      $(AM_CFLAGS)
+ CCLD = $(CC)
++HOST_CCLD = ld
+ LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
+-SOURCES = $(libdlmalloc_a_SOURCES) $(libmiscutil_a_SOURCES) \
++HOST_LINK = $(HOST_CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
++SOURCES = $(libdlmalloc_a_SOURCES) $(libmiscutil_a_SOURCES) $(libmiscutil_a_HOST_SOURCES) \
+       $(EXTRA_libmiscutil_a_SOURCES) $(libntlmauth_a_SOURCES) \
+       $(libregex_a_SOURCES) $(libsspwin32_a_SOURCES)
+ DIST_SOURCES = $(libdlmalloc_a_SOURCES) \
+       $(am__libmiscutil_a_SOURCES_DIST) \
+       $(EXTRA_libmiscutil_a_SOURCES) $(libntlmauth_a_SOURCES) \
+-      $(libregex_a_SOURCES) $(libsspwin32_a_SOURCES)
++      $(libregex_a_SOURCES) $(libsspwin32_a_SOURCES) $(libmiscutil_a_HOST_SOURCES)
+ ETAGS = etags
+ CTAGS = ctags
+ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+@@ -112,6 +130,7 @@
+ AMDEP_TRUE = @AMDEP_TRUE@
+ AMTAR = @AMTAR@
+ AR = @AR@
++HOST_AR = ar
+ AR_R = @AR_R@
+ AUTH_LIBS = @AUTH_LIBS@
+ AUTH_MODULES = @AUTH_MODULES@
+@@ -124,6 +143,7 @@
+ CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+ CACHE_ICP_PORT = @CACHE_ICP_PORT@
+ CC = @CC@
++HOST_CC = gcc
+ CCDEPMODE = @CCDEPMODE@
+ CFLAGS = @CFLAGS@
+ CGIEXT = @CGIEXT@
+@@ -194,6 +214,8 @@
+ NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+ NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
+ OBJEXT = @OBJEXT@
++HOST_OBJEXT = @OBJEXT@.$(shell uname -m)
++HOST_DEPEXT = .$(shell uname -m)
+ OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
+ PACKAGE = @PACKAGE@
+ PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+@@ -301,6 +323,7 @@
+ noinst_LIBRARIES = \
+       @LIBDLMALLOC@ \
+       libmiscutil.a \
++      libmiscutil$(shell uname -m).a \
+       libntlmauth.a \
+       @LIBREGEX@ \
+       $(LIBSSPWIN32)
+@@ -335,9 +358,34 @@
+       uudecode.c \
+       $(WIN32SRC)
++libmiscutil_a_HOST_SOURCES = \
++        Array.c \
++        base64.c \
++        getfullhostname.c \
++        hash.c \
++        heap.c \
++        html_quote.c \
++        iso3307.c \
++        $(MD5SOURCE) \
++        radix.c \
++        rfc1035.c \
++        rfc1123.c \
++        rfc1738.c \
++        rfc2617.c \
++        safe_inet_addr.c \
++        $(SNPRINTFSOURCE) \
++        splay.c \
++        Stack.c \
++        stub_memaccount.c \
++        util.c \
++        uudecode.c
++
+ libmiscutil_a_LIBADD = \
+       @LIBOBJS@
++libmiscutil_a_HOST_LIBADD = \
++      @LIBOBJS@
++
+ # $(top_srcdir)/include/version.h should be a dependency
+ libregex_a_SOURCES = \
+       GNUregex.c
+@@ -358,7 +406,7 @@
+ all: all-am
+ .SUFFIXES:
+-.SUFFIXES: .c .o .obj
++.SUFFIXES: .c .o .obj .o.$(shell uname -m)
+ $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+       @for dep in $?; do \
+         case '$(am__configure_deps)' in \
+@@ -395,10 +443,13 @@
+       -rm -f libdlmalloc.a
+       $(libdlmalloc_a_AR) libdlmalloc.a $(libdlmalloc_a_OBJECTS) $(libdlmalloc_a_LIBADD)
+       $(RANLIB) libdlmalloc.a
+-libmiscutil.a: $(libmiscutil_a_OBJECTS) $(libmiscutil_a_DEPENDENCIES) 
++libmiscutil.a: $(libmiscutil_a_OBJECTS) $(libmiscutil_a_HOST_OBJECTS) $(libmiscutil_a_DEPENDENCIES) 
+       -rm -f libmiscutil.a
++      -rm -f libmiscutil$(shell uname -m).a
+       $(libmiscutil_a_AR) libmiscutil.a $(libmiscutil_a_OBJECTS) $(libmiscutil_a_LIBADD)
++      ar rcu libmiscutil$(shell uname -m).a $(libmiscutil_a_HOST_OBJECTS) $(libmiscutil_a_HOST_LIBADD)
+       $(RANLIB) libmiscutil.a
++      ranlib libmiscutil$(shell uname -m).a
+ libntlmauth.a: $(libntlmauth_a_OBJECTS) $(libntlmauth_a_DEPENDENCIES) 
+       -rm -f libntlmauth.a
+       $(libntlmauth_a_AR) libntlmauth.a $(libntlmauth_a_OBJECTS) $(libntlmauth_a_LIBADD)
+@@ -449,6 +500,21 @@
+ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/uudecode.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/win32lib.Po@am__quote@
++@AMDEP_TRUE@DEP_HOST_FILES = $(DEPDIR)/Array.Po.$(HOST_DEPEXT) $(DEPDIR)/GNUregex.Po.$(HOST_DEPEXT) \
++@AMDEP_TRUE@    $(DEPDIR)/Stack.Po.$(HOST_DEPEXT) $(DEPDIR)/base64.Po.$(HOST_DEPEXT) \
++@AMDEP_TRUE@    $(DEPDIR)/dlmalloc.Po.$(HOST_DEPEXT) $(DEPDIR)/drand48.Po.$(HOST_DEPEXT) \
++@AMDEP_TRUE@    $(DEPDIR)/getfullhostname.Po.$(HOST_DEPEXT) $(DEPDIR)/hash.Po.$(HOST_DEPEXT) \
++@AMDEP_TRUE@    $(DEPDIR)/heap.Po.$(HOST_DEPEXT) $(DEPDIR)/html_quote.Po.$(HOST_DEPEXT) \
++@AMDEP_TRUE@    $(DEPDIR)/inet_ntoa.Po.$(HOST_DEPEXT) $(DEPDIR)/initgroups.Po.$(HOST_DEPEXT) \
++@AMDEP_TRUE@    $(DEPDIR)/iso3307.Po.$(HOST_DEPEXT) $(DEPDIR)/md5.Po.$(HOST_DEPEXT) \
++@AMDEP_TRUE@    $(DEPDIR)/ntlmauth.Po.$(HOST_DEPEXT) $(DEPDIR)/radix.Po.$(HOST_DEPEXT) \
++@AMDEP_TRUE@    $(DEPDIR)/rfc1035.Po.$(HOST_DEPEXT) $(DEPDIR)/rfc1123.Po.$(HOST_DEPEXT) \
++@AMDEP_TRUE@    $(DEPDIR)/rfc1738.Po.$(HOST_DEPEXT) $(DEPDIR)/rfc2617.Po.$(HOST_DEPEXT) \
++@AMDEP_TRUE@    $(DEPDIR)/safe_inet_addr.Po.$(HOST_DEPEXT) $(DEPDIR)/snprintf.Po.$(HOST_DEPEXT) \
++@AMDEP_TRUE@    $(DEPDIR)/splay.Po.$(HOST_DEPEXT) $(DEPDIR)/strerror.Po.$(HOST_DEPEXT) \
++@AMDEP_TRUE@    $(DEPDIR)/stub_memaccount.Po.$(HOST_DEPEXT) $(DEPDIR)/tempnam.Po.$(HOST_DEPEXT) \
++@AMDEP_TRUE@    $(DEPDIR)/util.Po.$(HOST_DEPEXT) $(DEPDIR)/uudecode.Po.$(HOST_DEPEXT)
++
+ .c.o:
+ @am__fastdepCC_TRUE@  if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
+@@ -457,6 +523,9 @@
+ @AMDEP_TRUE@@am__fastdepCC_FALSE@     DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+ @am__fastdepCC_FALSE@ $(COMPILE) -c $<
++.c.o.$(shell uname -m):
++      $(HOST_COMPILE) -o $(shell basename $< .c).o.$(shell uname -m) -c $<
++
+ .c.obj:
+ @am__fastdepCC_TRUE@  if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
+ @am__fastdepCC_TRUE@  then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi